body {
    font-family: 'Hiragino Kaku Gothic Pro', Meiryo, sans-serif;
    background-color: #f9f9f9;
    color: #333;
    margin: 0;
    padding: 0;
    text-align: center;
}
header {
    background-color: #f1f1f1; /* フッタの色に合わせる */
    padding: 10px 0;
}
.header-logo {
    max-width: 200px;
}
.container {
    max-width: 600px;
    margin: 20px auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding-bottom: 100px; /* 余白を追加 */
}
.sortable-list {
    list-style: none;
    padding: 0;
    margin: 0;
}
.sortable-list li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    margin: 5px 0;
    background: #ffffff;
    border: 1px solid #ddd;
    border-radius: 5px;
    cursor: default;
    position: relative;
}
.rank-number {
    font-weight: bold;
    margin-right: 10px;
}
.content-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
.rank-text {
    flex-grow: 1;
    word-wrap: break-word;
    overflow-wrap: break-word;
    margin-right: 10px;
}
.drag-handle {
    font-size: 20px;
    cursor: grab;
    margin-left: auto;
    margin-right: 15px;
    padding: 10px;
    background-color: #e0e0e0;
    border-radius: 5px;
    height: 40px;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    box-sizing: border-box;
    flex-shrink: 0;
}
.delete-button {
    background: #393D40;
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    flex-shrink: 0;
    height: 40px;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    box-sizing: border-box;
}
.input-container {
    display: flex;
    margin-top: 15px;
    gap: 10px;
}
.input-container input {
    flex-grow: 1;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 5px;
}
.input-container button {
    padding: 10px 15px;
    font-size: 16px;
    background-color: #393D40;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
textarea {
    width: 100%;
    min-height: 80px;
    margin-top: 15px;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-sizing: border-box;
}
.register-button {
    width: 100%;
    padding: 12px;
    font-size: 18px;
    background-color: #D95555;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 15px;
}
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    padding-top: 60px;
}
.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 300px;
    text-align: center;
    border-radius: 10px;
}
.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
.modal-confirm-button {
    padding: 20px 40px;
    font-size: 20px;
    background-color: #D95555;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 15px;
}
/* フッタのスタイル */
footer {
    background-color: #f1f1f1;
    text-align: center;
    padding: 10px 0;
    position: fixed;
    width: 100%;
    bottom: 0;
}
.fukidashi-01-06 {
    position: relative;
    width: 100%;
    padding: 12px 16px;
    border: 2px solid #333333;
    border-radius: 4px;
    box-sizing: border-box;
    text-align: left; /* テキストを左寄せにする */
    margin-top: 20px; /* 吹き出しの開始位置を下げる */
}
.fukidashi-01-06::before {
    content: "";
    position: absolute;
    top: -5px;
    left: 50%;
    width: 15px;
    height: 15px;
    box-sizing: border-box;
    background-color: #ffffff; /* 背景色と同じ色を指定 */
    rotate: 45deg;
    translate: -50%;
}
.fukidashi-01-06::after {
    content: "";
    position: absolute;
    top: -8px;
    left: 50%;
    width: 15px;
    height: 15px;
    box-sizing: border-box;
    border: 2px solid;
    border-color: #333333 transparent transparent #333333;
    rotate: 45deg;
    translate: -50%;
}
.copy-container {
    display: flex;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 1em;
}
.copy-container input[type="text"] {
    width: calc(100% - 90px); /* コピーボタンの幅を考慮 */
    height: 52px; /* 高さを縮める */
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 2px; /* パディングを縮める */
    box-sizing: border-box;
    margin-right: 10px;
    overflow: hidden;
    white-space: nowrap;
    color: #888; /* 薄いグレー */
    font-size: 40px; /* 文字サイズを調整 */
    line-height: 20px; /* 行の高さを調整 */
    flex: 1;
    padding: 0.75em 1em; /* テキストの表示天地をコピーするボタンの天地サイズと合わせる */
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px 0 0 5px;
}
.copy-container button {
    padding: 4px 10px; /* パディングを縮める */
    border: none;
    background-color: #D95555;
    color: white;
    border-radius: 4px;
    cursor: pointer;
    white-space: nowrap; /* 改行を防ぐ */
    font-size: 14px; /* 文字サイズを調整 */
    padding: 0.75em 1em; /* コピーボタンの天地サイズ */
    background-color: #fff; /* 白抜き */
    color: #000; /* 黒い文字 */
    border: 2px solid #000; /* 黒い枠線 */
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    font-size: 16px;
    display: flex;
    align-items: center;
    margin-right: 10px; /* ツイッターボタンとのマージン */
}
.copy-container button:hover {
    background-color: #0056b3;
    background-color: #f0f0f0; /* オンマウス時の色 */
}
.copy-container button img {
    width: 1.5em;
    height: 1.5em;
    fill: #1DA1F2; /* Twitterの青色 */
}
.copy-container .sns-button {
    padding: 0.75em 1em; /* ツイッターボタンの天地サイズ */
}
.sns-button {
    display: block;
    margin-top: 10px;
    padding: 10px 20px;
    border: none;
    background-color: #D95555;
    color: white;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    border: 2px solid #1DA1F2; /* 青色の枠線 */
    background-color: #fff; /* 白色の背景 */
    color: #1DA1F2; /* 青色の文字 */
    padding: 0.75em 1em; /* コピーボタンと同じ天地サイズ */
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
    border-radius: 5px;
    margin-left: 10px; /* コピーボタンとのマージン */
    margin-top: 0px; /* 上マージンを調整 */
}
.sns-button:hover {
    background-color: #0d95e8;
    background-color: #e6f7ff; /* オンマウス時に薄い水色に */
    color: #1DA1F2; /* オンマウスでも文字色を青色に */
}
.sns-button img {
    width: 1.5em; /* アイコンのサイズをコピーボタンと同じに */
    height: 1.5em; /* アイコンのサイズをコピーボタンと同じに */
    fill: #1DA1F2; /* Twitterの青色 */
}
.tree-structure {
    margin-top: 20px;
    padding-left: 20px;
    border-left: 2px solid #ccc;
}
.tree-structure ul {
    list-style-type: none;
    padding-left: 20px;
}
.tree-structure li {
    margin-bottom: 10px;
}
.tree-structure a {
    color: #007bff;
    text-decoration: none;
}
.tree-structure a:hover {
    text-decoration: underline;
}
.tree-list {
    list-style-type: none;
    padding-left: 0;
}
.tree-list li {
    text-align: left;
}
.tree-list .child {
    margin-left: 20px; /* 子要素をインデント */
}
.info-container {
    display: flex;
    justify-content: space-between;
}
.small-text {
    font-size: 18px; /* 文字をより小さく */
}
.ttl_3d19 {
    background-color: #000; /* 背景を黒に変更 */
    color: #fff;
    font-weight: bold;
    position: relative;
    padding: 0.3em 0.5em;
    text-align: center;
}
.ttl_3d19::before, .ttl_3d19::after {
    position: absolute;
    bottom: 30px;
    width: 20%;
    height: 7px;
    background: transparent;
    box-shadow: 0 25px 20px rgba(0, 0, 0, .8);
    content: "";
    z-index: -1;
}
.ttl_3d19::before {
    transform: rotate(-5deg);
    left: 5px;
}
.ttl_3d19::after {
    transform: rotate(5deg);
    right: 5px;
}
.list_crown {
    list-style: none;
}
.list_crown > li {
    position: relative;
    padding: 1em 0px 1em 2.5em; /* 天地サイズを大きく */
    margin-bottom: 1em; /* 項目ごとのマージンを追加 */
    font-size: 18px;
    border: 2px solid transparent; /* 枠線の初期設定 */
}
.list_crown > li:nth-of-type(1) {
    background: url('/image/icon_rank1.png') no-repeat left center;
    background-size: 2em 2em;
    padding-left: 3em; /* 画像分のスペースを確保 */
    color: #dbb400; /* 金色 */
    background-position: 4px calc(50% - 5px); /* 上に5px移動 */
    border-color: #dbb400; /* 金色の枠線 */
    border-width: 3px; /* 枠線を太く */
    font-weight: bold; /* 太字 */
}
.list_crown > li:nth-of-type(2) {
    background: url('/image/icon_rank2.png') no-repeat left center;
    background-size: 2em 2em;
    padding-left: 3em; /* 画像分のスペースを確保 */
    color: #9fa0a0; /* 銀色 */
    background-position: 4px calc(50% - 5px); /* 上に5px移動 */
    border-color: #9fa0a0; /* 銀色の枠線 */
    border-width: 3px; /* 枠線を太く */
    font-weight: bold; /* 太字 */
}
.list_crown > li:nth-of-type(3) {
    background: url('/image/icon_rank3.png') no-repeat left center;
    background-size: 2em 2em;
    padding-left: 3em; /* 画像分のスペースを確保 */
    color: #c47022; /* 銅色 */
    background-position: 4px calc(50% - 5px); /* 上に5px移動 */
    border-color: #c47022; /* 銅色の枠線 */
    border-width: 3px; /* 枠線を太く */
    font-weight: bold; /* 太字 */
}
.list_crown > li:nth-of-type(n+4) {
    color: #000; /* 4位以下は黒色に */
    border-color: #d3d3d3; /* 4位以下の枠線を薄いグレーに */
}
.list_crown > li:nth-of-type(n+4)::before,
.list_crown > li:nth-of-type(n+4)::after {
    color: #fff; /* 4位以下の王冠の色を白にして見えないように */
}
.sortable-list .content-container {
    padding: 0.5em 1em; /* 項目枠の大きさを元に戻す */
}
.rank-number {
    font-weight: bold;
}
.ranking-title {
    font-size: 16px;
    margin-bottom: 20px;
}
.ranking-name {
    font-size: 32px;
    font-weight: bold;
}

.heading-37 {
    position: relative;
    padding: .5em 1em;
    color: #333333;
}

.heading-37::before,
.heading-37::after {
    display: inline-block;
    position: absolute;
    width: 10px;
    height: 100%;
    border: 5px solid #F2B705;
    box-sizing: border-box;
    content: '';
}

.heading-37::before {
    top: 0;
    left: 0;
    border-right: none;
}

.heading-37::after {
    bottom: 0;
    right: 0;
    border-left: none;
}

.heading-21 {
    position: relative;
    padding: .5em .7em .4em;
    border-bottom: 3px solid #393D40;
    color: #333333;
    text-align: left;
}

.heading-21::before,
.heading-21::after {
    position: absolute;
    left: 30px;
    bottom: -15px;
    width: 30px;
    height: 15px;
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    content: '';
}

.heading-21::before {
    background-color: #393D40;
}

.heading-21::after {
    bottom: -11px;
    background-color: #fff;
}

.list-7 {
    list-style-type: none;
}

.list-7 li {
    display: flex;
    align-items: center;
    gap: 0 10px;
    padding: .3em;
}

.list-7 li::before {
    transform: rotate(-45deg);
    width: .4em;
    height: .4em;
    border-bottom: 3px solid #BF9C34;
    border-right: 3px solid #BF9C34;
    content: '';
}